package com.zt.plat.module.base.service.base;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.base.controller.admin.base.vo.ContactPageReqVO;
import com.zt.plat.module.base.controller.admin.base.vo.ContactRespVO;
import com.zt.plat.module.base.controller.admin.base.vo.ContactSaveReqVO;
import com.zt.plat.module.base.dal.dataobject.base.ContactDO;
import jakarta.validation.Valid;

import java.util.List;

/**
 * 联系人信息 Service 接口
 *
 * @author 后台管理
 */
public interface ContactService {

    /**
     * 创建联系人信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    ContactRespVO createContact(@Valid ContactSaveReqVO createReqVO);

    /**
     * 更新联系人信息
     *
     * @param updateReqVO 更新信息
     */
    void updateContact(@Valid ContactSaveReqVO updateReqVO);

    /**
     * 删除联系人信息
     *
     * @param id 编号
     */
    void deleteContact(Long id);

    /**
    * 批量删除联系人信息
    *
    * @param ids 编号
    */
    void deleteContactListByIds(List<Long> ids);

    /**
     * 获得联系人信息
     *
     * @param id 编号
     * @return 联系人信息
     */
    ContactDO getContact(Long id);

    /**
     * 获得联系人信息分页
     *
     * @param pageReqVO 分页查询
     * @return 联系人信息分页
     */
    PageResult<ContactDO> getContactPage(ContactPageReqVO pageReqVO);

    void enableContactList(List<ContactSaveReqVO> saveReqVOS);
}